Quote Originally Posted by corgi View Post
To be precise, this always happens when I try to pick a 64-bit version.
So you are downloading the package, and try to install it via double-clicking on it?
As said, that probably doesn't work because PackageKit cannot verify the package signature.
Click on the "1-click install" instead.

Or use "zypper in xxx.rpm" or "rpm -i xxx.rpm" to install the downloaded package.

Does "1 Click Install" automatically pick a 64-bit version when available? I don't want to use 32-bit version of programs demanding like VirtualBox.
Yes.

Btw, also virtualbox is available in the standard repos. Just use YaST or zypper to install it.
sudo zypper in virtualbox